This article only applies to the Android version of the Gnosis Safe Multisig Mobile app.

You tried to install / update the Gnosis Safe Multisig mobile app however the installation was not successful.

The reason is most likely the following: There are 3 different ways to install the Android Safe Multisig app:

  1. Via Google PlayStore
  2. Via Firebase AppTester (Beta)
  3. By downloading the APK from our Github repository.

Versions from Firebase AppTester are compatible with the Github APK, but not with the Google PlayStore version. That means

  • An app from Google PlayStore can always be updated to a newer version downloaded from Google Play.
  • An app from Google PlayStore cannot be updated to a newer version downloaded from neither Firebase AppTester nor Github.
  • An app from Firebase AppTester can always be updated to a newer version downloaded from both Firebase AppTester and Github.
  • An app from Firebase AppTester cannot be updated to a newer version downloaded from Google Play.
  • An app from Github can always be updated to a newer version downloaded from both Firebase AppTester and Github.
  • An app from Github cannot be updated to a newer version downloaded from Google Play.

There is a security reason for this setup, required by Google.

In order to resolve the issue, you have 2 options:

  1. Always remain within the same app category.
  2. Remove the old app before downloading an update. (Note: Make sure to back up the Safe addresses so you can re-add them afterwards again.)
Did this answer your question?